%define name 	gtklp
%define version 1.2.2
%define release %mkrel 1

Summary: 	A GTK frontend for CUPS
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		System/Configuration/Printing
Source0: 	http://prdownloads.sourceforge.net/gtklp/%name-%version.src.tar.bz2
Url: 		http://www.stud.uni-hannover.de/~sirtobi/gtklp/
Source1: 	gtklp-icon48.png.bz2
Source2: 	gtklp-icon32.png.bz2
Source3: 	gtklp-icon16.png.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Buildrequires: 	cups-common
Buildrequires:  gtk+2-devel
BuildPrereq: 	cups-devel > 1.1
Requires: 	cups > 1.1

%description
A GTK frontend for CUPS

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

# menu entry
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Configuration/Printing"\
title="GTK CUPS"\
longtitle="GTK Frontend for CUPS"\
command="/usr/bin/gtklp"\
icon="gtklp.png"
EOF
)

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/gtklpq <<EOF
?package(%{name}):\
needs="x11"\
section="Configuration/Printing"\
title="GTK Printer Queue"\
longtitle="GTK Frontend to GTKlp CUPS Queue"\
command="/usr/bin/gtklpq"\
icon="gtklp.png"
EOF
)

# menu icon
install -d %{buildroot}/%{_menudir}
install -d %{buildroot}/%{_liconsdir}
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_miconsdir}
bzcat %{SOURCE1}>$RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
bzcat %{SOURCE2}>$RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3}>$RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# locales
%find_lang %name

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_mandir/man1/*
%defattr(0644,root,root,755)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE

%changelog
* Thu Jun 01 2006 Jerome Soyer <saispo@mandriva.org> 1.2.2-1mdv2007.0
- New release 1.2.2

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-2mdk
- Fix BuildRequires

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 1.1.1-1mdk
- New release 1.1.1

* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Wed Nov 17 2004 Austin Acton <austin@mandrake.org> 1.0-1mdk
- 1.0
- quiet, configure 2.5, source URL

* Tue May 18 2004 Austin Acton <austin@mandrake.org> 0.9s-1mdk
- 0.9s

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9p-1mdk
- 0.9p
- cleanup spec
- fix some grammar

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9n-1mdk
- 0.9p

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9m-1mdk
- 0.9m

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9k-4mdk
- rebuild

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9k-3mdk
- fix gtklpq menu

* Wed Jul 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9k-2mdk
- update buildrequires

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9k-1mdk
- macros
- in spec menus
- fix files section
- png icons
- fix group
- from Austin Acton <aacton@yorku.ca> :
	-initial package creation for MDK 8.2
	-stole spec from author Tobias Mueller <sirtobi@stud.uni-hannover.de>
	-added Mandrake Menu items
